with import <nixpkgs> {};

let
  versionName = "2016-10-22-v1";
in

stdenv.mkDerivation rec {
  name = "blog-gallery-${version}";

  #version = "MASTER";
  #  src = fetchTarball {
    #  url = "https://gogs.prunetwork.fr/jpierre03/gallery/archive/master.tar.gz";
    #};

    version = versionName;
    src = fetchurl {
      url = "https://gogs.prunetwork.fr/jpierre03/gallery/archive/${version}.tar.gz";
      sha256 = "0i44mp1w2p8v3yssa4c8xz59ga74dcxq96lkznyxr8np6hwdiyx1";
    };

    buildInputs = [ jekyll ];
    buildPhase = "jekyll build";
    installPhase = "cp -R _site \$out";
  }
