# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="2016-10-20-v2";
  name = "gogs-jpierre03-homepage-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchTarball {

    url = "http://gogs.prunetwork.fr/jpierre03/homepage/archive/${version}.tar.gz";

  };

  installPhase = "cp -R . \$out";
}
